package com.iscs.bozzys.service

import android.content.Context
import com.alibaba.sdk.android.push.AliyunMessageIntentService
import com.alibaba.sdk.android.push.notification.CPushMessage

class AliPushService : AliyunMessageIntentService() {

    override fun onNotification(p0: Context?, p1: String?, p2: String?, p3: Map<String?, String?>?) {

    }

    override fun onMessage(p0: Context?, p1: CPushMessage?) {

    }

    override fun onNotificationOpened(p0: Context?, p1: String?, p2: String?, p3: String?) {

    }

    override fun onNotificationClickedWithNoAction(p0: Context?, p1: String?, p2: String?, p3: String?) {

    }

    override fun onNotificationRemoved(p0: Context?, p1: String?) {

    }

    override fun onNotificationReceivedInApp(
        p0: Context?,
        p1: String?,
        p2: String?,
        p3: Map<String?, String?>?,
        p4: Int,
        p5: String?,
        p6: String?
    ) {

    }
}